[CalendarServer-changes] [6622] CalendarServer/trunk/contrib/performance/benchlib.sh

source_changes at macosforge.org source_changes at macosforge.org
Thu Nov 11 13:54:55 PST 2010


Revision: 6622
          http://trac.macosforge.org/projects/calendarserver/changeset/6622
Author:   exarkun at twistedmatrix.com
Date:     2010-11-11 13:54:51 -0800 (Thu, 11 Nov 2010)
Log Message:
-----------
Correct inverted test in the stop function

This caused stop to return before the server had really stopped.

Modified Paths:
--------------
    CalendarServer/trunk/contrib/performance/benchlib.sh

Modified: CalendarServer/trunk/contrib/performance/benchlib.sh
===================================================================
--- CalendarServer/trunk/contrib/performance/benchlib.sh	2010-11-11 20:14:49 UTC (rev 6621)
+++ CalendarServer/trunk/contrib/performance/benchlib.sh	2010-11-11 21:54:51 UTC (rev 6622)
@@ -61,7 +61,7 @@
 	  break
       fi
       pid=$(cat $PIDFILE)
-      if $(kill -0 $pid); then
+      if ! $(kill -0 $pid); then
 	  break
       fi
     echo "Waiting for server to exit..."
-------------- next part --------------
An HTML attachment was scrubbed...
URL: <http://lists.macosforge.org/pipermail/calendarserver-changes/attachments/20101111/dbb222fa/attachment-0001.html>


More information about the calendarserver-changes mailing list